package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.utils.DateUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

public class SnServerTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long id;
    private Long serverId;
    @Excel(name = "服务器IP")
    private String serverIp;
    private Long templateId;
    private transient String category;
    @Excel(name = "模板名称")
    private String templateName;
    @Excel(name = "模板版本")
    private String version;
    @Excel(name = "域名")
    private String domain;
    private Integer sslType;
    private String sslPem;
    private String sslKey;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sslTime;
    private String nginxCnf;
    @Excel(name = "状态")
    private Integer status;
    private transient Integer process;
    private transient String newVersion;
    private transient String country;
    private transient String language;
    
    public SnServerTemplate() {
    }
    
    public SnServerTemplate(final SnServer server, final SnTemplate template) {
        this.setServerId(server.getServerId());
        this.setServerIp(server.getIp());
        this.setTemplateId(template.getTemplateId());
        this.setTemplateName(template.getName());
        this.setVersion(template.getVersion());
        this.setStatus(1);
        this.setIsDelete(Integer.valueOf(0));
        this.setCreateId(server.getCreateId());
        this.setCreateName(server.getCreateName());
        this.setCreateTime(DateUtils.getNowDate());
        this.setAgentId(server.getAgentId());
        this.setAgentName(server.getAgentName());
        this.setDealerId(server.getDealerId());
        this.setDealerName(server.getDealerName());
    }
    
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", this.getId()).append("serverId", this.getServerId()).append("serverIp", this.getServerIp()).append("templateId", this.getTemplateId()).append("templateName", this.getTemplateName()).append("domain", this.getDomain()).append("sslPem", this.getSslPem()).append("sslKey", this.getSslKey()).append("nginxCnf", this.getNginxCnf()).append("status", this.getStatus()).append("isDelete", this.getIsDelete()).append("createId", this.getCreateId()).append("createName", this.getCreateName()).append("createTime", this.getCreateTime()).append("updateId", this.getUpdateId()).append("updateName", this.getUpdateName()).append("updateTime", this.getUpdateTime()).toString();
    }
    
    public Long getId() {
        return this.id;
    }
    
    public Long getServerId() {
        return this.serverId;
    }
    
    public String getServerIp() {
        return this.serverIp;
    }
    
    public Long getTemplateId() {
        return this.templateId;
    }
    
    public String getCategory() {
        return this.category;
    }
    
    public String getTemplateName() {
        return this.templateName;
    }
    
    public String getVersion() {
        return this.version;
    }
    
    public String getDomain() {
        return this.domain;
    }
    
    public Integer getSslType() {
        return this.sslType;
    }
    
    public String getSslPem() {
        return this.sslPem;
    }
    
    public String getSslKey() {
        return this.sslKey;
    }
    
    public Date getSslTime() {
        return this.sslTime;
    }
    
    public String getNginxCnf() {
        return this.nginxCnf;
    }
    
    public Integer getStatus() {
        return this.status;
    }
    
    public Integer getProcess() {
        return this.process;
    }
    
    public String getNewVersion() {
        return this.newVersion;
    }
    
    public String getCountry() {
        return this.country;
    }
    
    public String getLanguage() {
        return this.language;
    }
    
    public void setId(final Long id) {
        this.id = id;
    }
    
    public void setServerId(final Long serverId) {
        this.serverId = serverId;
    }
    
    public void setServerIp(final String serverIp) {
        this.serverIp = serverIp;
    }
    
    public void setTemplateId(final Long templateId) {
        this.templateId = templateId;
    }
    
    public void setCategory(final String category) {
        this.category = category;
    }
    
    public void setTemplateName(final String templateName) {
        this.templateName = templateName;
    }
    
    public void setVersion(final String version) {
        this.version = version;
    }
    
    public void setDomain(final String domain) {
        this.domain = domain;
    }
    
    public void setSslType(final Integer sslType) {
        this.sslType = sslType;
    }
    
    public void setSslPem(final String sslPem) {
        this.sslPem = sslPem;
    }
    
    public void setSslKey(final String sslKey) {
        this.sslKey = sslKey;
    }
    
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public void setSslTime(final Date sslTime) {
        this.sslTime = sslTime;
    }
    
    public void setNginxCnf(final String nginxCnf) {
        this.nginxCnf = nginxCnf;
    }
    
    public void setStatus(final Integer status) {
        this.status = status;
    }
    
    public void setProcess(final Integer process) {
        this.process = process;
    }
    
    public void setNewVersion(final String newVersion) {
        this.newVersion = newVersion;
    }
    
    public void setCountry(final String country) {
        this.country = country;
    }
    
    public void setLanguage(final String language) {
        this.language = language;
    }
    
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof SnServerTemplate)) {
            return false;
        }
        final SnServerTemplate other = (SnServerTemplate)o;
        if (!other.canEqual((Object)this)) {
            return false;
        }
        final Object this$id = this.getId();
        final Object other$id = other.getId();
        Label_0065: {
            if (this$id == null) {
                if (other$id == null) {
                    break Label_0065;
                }
            }
            else if (this$id.equals(other$id)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$serverId = this.getServerId();
        final Object other$serverId = other.getServerId();
        Label_0102: {
            if (this$serverId == null) {
                if (other$serverId == null) {
                    break Label_0102;
                }
            }
            else if (this$serverId.equals(other$serverId)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$templateId = this.getTemplateId();
        final Object other$templateId = other.getTemplateId();
        Label_0139: {
            if (this$templateId == null) {
                if (other$templateId == null) {
                    break Label_0139;
                }
            }
            else if (this$templateId.equals(other$templateId)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$sslType = this.getSslType();
        final Object other$sslType = other.getSslType();
        Label_0176: {
            if (this$sslType == null) {
                if (other$sslType == null) {
                    break Label_0176;
                }
            }
            else if (this$sslType.equals(other$sslType)) {
                break Label_0176;
            }
            return false;
        }
        final Object this$status = this.getStatus();
        final Object other$status = other.getStatus();
        Label_0213: {
            if (this$status == null) {
                if (other$status == null) {
                    break Label_0213;
                }
            }
            else if (this$status.equals(other$status)) {
                break Label_0213;
            }
            return false;
        }
        final Object this$serverIp = this.getServerIp();
        final Object other$serverIp = other.getServerIp();
        Label_0250: {
            if (this$serverIp == null) {
                if (other$serverIp == null) {
                    break Label_0250;
                }
            }
            else if (this$serverIp.equals(other$serverIp)) {
                break Label_0250;
            }
            return false;
        }
        final Object this$templateName = this.getTemplateName();
        final Object other$templateName = other.getTemplateName();
        Label_0287: {
            if (this$templateName == null) {
                if (other$templateName == null) {
                    break Label_0287;
                }
            }
            else if (this$templateName.equals(other$templateName)) {
                break Label_0287;
            }
            return false;
        }
        final Object this$version = this.getVersion();
        final Object other$version = other.getVersion();
        Label_0324: {
            if (this$version == null) {
                if (other$version == null) {
                    break Label_0324;
                }
            }
            else if (this$version.equals(other$version)) {
                break Label_0324;
            }
            return false;
        }
        final Object this$domain = this.getDomain();
        final Object other$domain = other.getDomain();
        Label_0361: {
            if (this$domain == null) {
                if (other$domain == null) {
                    break Label_0361;
                }
            }
            else if (this$domain.equals(other$domain)) {
                break Label_0361;
            }
            return false;
        }
        final Object this$sslPem = this.getSslPem();
        final Object other$sslPem = other.getSslPem();
        Label_0398: {
            if (this$sslPem == null) {
                if (other$sslPem == null) {
                    break Label_0398;
                }
            }
            else if (this$sslPem.equals(other$sslPem)) {
                break Label_0398;
            }
            return false;
        }
        final Object this$sslKey = this.getSslKey();
        final Object other$sslKey = other.getSslKey();
        Label_0435: {
            if (this$sslKey == null) {
                if (other$sslKey == null) {
                    break Label_0435;
                }
            }
            else if (this$sslKey.equals(other$sslKey)) {
                break Label_0435;
            }
            return false;
        }
        final Object this$sslTime = this.getSslTime();
        final Object other$sslTime = other.getSslTime();
        Label_0472: {
            if (this$sslTime == null) {
                if (other$sslTime == null) {
                    break Label_0472;
                }
            }
            else if (this$sslTime.equals(other$sslTime)) {
                break Label_0472;
            }
            return false;
        }
        final Object this$nginxCnf = this.getNginxCnf();
        final Object other$nginxCnf = other.getNginxCnf();
        if (this$nginxCnf == null) {
            if (other$nginxCnf == null) {
                return true;
            }
        }
        else if (this$nginxCnf.equals(other$nginxCnf)) {
            return true;
        }
        return false;
    }
    
    protected boolean canEqual(final Object other) {
        return other instanceof SnServerTemplate;
    }
    
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $id = this.getId();
        result = result * 59 + (($id == null) ? 43 : $id.hashCode());
        final Object $serverId = this.getServerId();
        result = result * 59 + (($serverId == null) ? 43 : $serverId.hashCode());
        final Object $templateId = this.getTemplateId();
        result = result * 59 + (($templateId == null) ? 43 : $templateId.hashCode());
        final Object $sslType = this.getSslType();
        result = result * 59 + (($sslType == null) ? 43 : $sslType.hashCode());
        final Object $status = this.getStatus();
        result = result * 59 + (($status == null) ? 43 : $status.hashCode());
        final Object $serverIp = this.getServerIp();
        result = result * 59 + (($serverIp == null) ? 43 : $serverIp.hashCode());
        final Object $templateName = this.getTemplateName();
        result = result * 59 + (($templateName == null) ? 43 : $templateName.hashCode());
        final Object $version = this.getVersion();
        result = result * 59 + (($version == null) ? 43 : $version.hashCode());
        final Object $domain = this.getDomain();
        result = result * 59 + (($domain == null) ? 43 : $domain.hashCode());
        final Object $sslPem = this.getSslPem();
        result = result * 59 + (($sslPem == null) ? 43 : $sslPem.hashCode());
        final Object $sslKey = this.getSslKey();
        result = result * 59 + (($sslKey == null) ? 43 : $sslKey.hashCode());
        final Object $sslTime = this.getSslTime();
        result = result * 59 + (($sslTime == null) ? 43 : $sslTime.hashCode());
        final Object $nginxCnf = this.getNginxCnf();
        result = result * 59 + (($nginxCnf == null) ? 43 : $nginxCnf.hashCode());
        return result;
    }
}
